<?php
// Database connection details
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// Create a database connection
$conn = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

// Check for connection errors
if ($conn->connect_errno) {
    echo "db connection error: " . $conn->connect_error;
    exit();
}

// Check if dropdown values are missing
if (empty($_GET['manufacturer_id']) || empty($_GET['system_id']) || empty($_GET['type_id'])) {
    echo "Error: Please select values for all dropdowns.";
    exit();
}

// Initialize an array to store the conditions for the WHERE clause
$conditions = array();

// Get selected dropdown values
$manufacturer_id = $_GET['manufacturer_id'];
$system_id = $_GET['system_id'];
$type_id = $_GET['type_id'];

// Build the WHERE clause conditions based on selected values
if ($manufacturer_id != 'all') {
    $conditions[] = "d.manufacturer_id = $manufacturer_id";
}

if ($system_id != 'all') {
    $conditions[] = "d.system_id = $system_id";
}

if ($type_id != 'all') {
    $conditions[] = "d.type_id = $type_id";
}

// Build the SQL query dynamically based on conditions
$sql = "SELECT d.device_id, d.name, d.price, m.manufacturer, s.system, t.type
        FROM devices d
        JOIN manufacturers m ON d.manufacturer_id = m.manufacturer_id
        JOIN systems s ON d.system_id = s.system_id
        JOIN types t ON d.type_id = t.type_id";

if (!empty($conditions)) {
    $sql .= " WHERE " . implode(" AND ", $conditions);
}

$result = $conn->query($sql);

// Check for SQL query errors
if (!$result) {
    echo "SQL query error: " . $conn->error;
    exit();
}
?>

<!DOCTYPE html>
<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width: 600px;
            margin: auto;
        }

        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }

        .num-results {
            margin: 20px 10px;
        }

        table {
            margin: auto;
            margin-bottom: 20px;
            width: 80%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding: 10px;
            text-align: center;
        }

        img {
            width: 100px;
        }

        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Mobile Devices Database: Search Results</h1>
        <div class="nav-link">
            <a href="examSearch.php"><< Back to Search Page</a>
        </div>
        <div class="num-results">
            Your search returned
            <strong><?php echo $result->num_rows; ?></strong>
            results.
        </div>
        <table>
            <tr>
                <th>Name</th>
                <th>Price</th>
                <th>Manufacturer</th>
                <th>System</th>
                <th>Type</th>
            </tr>
            <?php
            // Display search results in the table
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td><a href='examDetails.php?id=" . $row['device_id'] . "'>" . $row['name'] . "</a></td>";
                echo "<td>" . $row['price'] . "</td>";
                echo "<td>" . $row['manufacturer'] . "</td>";
                echo "<td>" . $row['system'] . "</td>";
                echo "<td>" . $row['type'] . "</td>";
                echo "</tr>";
            }
            ?>
        </table>
    </div>
</body>

</html>

<?php
// Close the database connection
$conn->close();
?>
